<?php get_header(); ?>

<div id="container" class="row clearfix">
  <div id="primary" class="large-8 medium-8 small-12 <?php if ( ( is_active_sidebar( 'sidebar-1' )  ) || ( is_active_sidebar( 'sidebar-2' )  ) || ( is_active_sidebar( 'sidebar-3' ) ) ): else: echo 'medium-centered'; endif; ?> columns">

        <?php if ( is_search() ) : ?>
          <h3 class="entry-title archive-title"><?php printf( __( 'Search for: %s', 'richtastexs' ), '<i>' . get_search_query() . '</i>' ); ?></h3>
        <?php endif; ?>

    <?php if ( have_posts() ) : 
         while ( have_posts() ) : the_post(); 

        get_template_part( 'loop', get_post_format() );
        
    endwhile; ?>
    
    <?php if ( function_exists( 'richtastexs_pagination' ) ) { 
      richtastexs_pagination(); 
      } ?>

        <?php else:
            if ( is_search() ) : ?>
                <h5 class="entry-title archive-title"><?php _e( 'Nothing matched your search criteria. Please try searching again:', 'richtastexs' ); ?></h5>
                <p><?php get_search_form(); ?></p>
            <?php elseif (is_404() ) : ?>
                <h3 class="entry-title archive-title"><?php _e( '404 - Sorry, nothing was found!', 'richtastexs' ); ?></h3>
            <?php else: ?>
                <h3 class="entry-title archive-title"><?php _e( 'Sorry, nothing was found!', 'richtastexs' ); ?></h3>
            <?php endif; 
        endif; ?>

  </div><!-- #primary -->
              
              <?php get_sidebar(); ?>             
 
</div> <!-- #container -->

<?php get_footer(); ?>